## org.apache.http
Class UnsupportedHttpVersionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.HttpException
                  org.apache.http.ProtocolException
                      org.apache.http.UnsupportedHttpVersionException

All Implemented Interfaces:
  Serializable

    public class UnsupportedHttpVersionException

extends ProtocolException

Signals an unsupported version of the HTTP protocol.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`UnsupportedHttpVersionException()` Creates an exception without a detail message.
`UnsupportedHttpVersionException(String message)` Creates an exception with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedHttpVersionException

    public UnsupportedHttpVersionException()

  Creates an exception without a detail message.

### UnsupportedHttpVersionException

    public UnsupportedHttpVersionException(String message)

  Creates an exception with the specified detail message.

  Parameters:
    `message` - The exception detail message

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.